<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: Class Hierarchy</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Class Hierarchy</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock">
<p><a href="hierarchy.html">Go to the textual class hierarchy</a></p>
</div><table border="0" cellspacing="10" cellpadding="0">
<tr><td><img src="inherit_graph_0.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_code_8_code_generator" alt=""/>
<map name="ax_a_p_i___definitions___parser_8_code_8_code_generator" id="ax_a_p_i___definitions___parser_8_code_8_code_generator">
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html" title="Generates CodeFiles from the xAPI definitions" alt="" coords="5,71,172,112"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_generator.html" title="Generates C# code files from the xAPI definitions" alt="" coords="236,5,439,47"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_generator.html" title="Generates JavaScript code files from the xAPI definitions" alt="" coords="220,71,455,112"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_generator.html" title="Generates Python code files from the xAPI definitions" alt="" coords="238,136,437,177"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_1.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_code_8_compilation_arguments" alt=""/>
<map name="ax_a_p_i___definitions___parser_8_code_8_compilation_arguments" id="ax_a_p_i___definitions___parser_8_code_8_compilation_arguments">
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments.html" title="Contains arguments for the CodeGenerator&#39;s compile method" alt="" coords="5,93,192,134"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_compilation_arguments.html" title="Contains arguments for the CSharpCodeGenerator&#39;s compile method" alt="" coords="256,5,471,61"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_compilation_arguments.html" title="Contains arguments for the JavaScriptCodeGenerator&#39;s compile method" alt="" coords="240,85,487,141"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_compilation_arguments.html" title="Contains arguments for the PythonCodeGenerator&#39;s compile method" alt="" coords="258,165,469,221"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_2.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_code_8_compilation_result" alt=""/>
<map name="ax_a_p_i___definitions___parser_8_code_8_compilation_result" id="ax_a_p_i___definitions___parser_8_code_8_compilation_result">
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_result.html" title="Contains the result of the CodeGenerator&#39;s compile method" alt="" coords="5,93,172,134"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_compilation_result.html" title=" " alt="" coords="236,5,451,61"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_compilation_result.html" title=" " alt="" coords="220,85,467,141"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_compilation_result.html" title=" " alt="" coords="238,165,449,221"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_3.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_argument" alt=""/>
<map name="ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_argument" id="ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_argument">
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html" title="An argument in the syntax tree" alt="" coords="5,5,188,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_4.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_class" alt=""/>
<map name="ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_class" id="ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_class">
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html" title="A class in the syntax tree" alt="" coords="5,5,172,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_5.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_constructor" alt=""/>
<map name="ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_constructor" id="ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_constructor">
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html" title="A constructor in the syntax tree" alt="" coords="5,5,199,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_6.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_getable_property" alt=""/>
<map name="ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_getable_property" id="ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_getable_property">
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html" title="A property in the syntax tree with a getter" alt="" coords="5,5,225,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_7.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_getter" alt=""/>
<map name="ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_getter" id="ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_getter">
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getter.html" title="A getter in the syntax tree" alt="" coords="5,5,172,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_8.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_import" alt=""/>
<map name="ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_import" id="ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_import">
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html" title="An import of the syntax tree" alt="" coords="5,5,172,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_9.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_method" alt=""/>
<map name="ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_method" id="ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_method">
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html" title="A method in the syntax tree" alt="" coords="5,5,175,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_10.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_method_body" alt=""/>
<map name="ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_method_body" id="ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_method_body">
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html" title="A method body in the syntax tree" alt="" coords="5,5,204,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_11.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_null" alt=""/>
<map name="ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_null" id="ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_null">
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_null.html" title="A null object in the syntax tree" alt="" coords="5,5,172,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_12.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_parameter" alt=""/>
<map name="ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_parameter" id="ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_parameter">
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html" title="A parameter in the syntax tree" alt="" coords="5,5,192,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_13.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_property" alt=""/>
<map name="ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_property" id="ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_property">
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html" title="A property in the syntax tree" alt="" coords="5,5,180,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_14.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_root" alt=""/>
<map name="ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_root" id="ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_root">
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html" title="Root of the syntax tree" alt="" coords="5,5,172,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_15.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_statement" alt=""/>
<map name="ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_statement" id="ax_a_p_i___definitions___parser_8_code_8_syntax_tree_8_statement">
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_statement.html" title="A statement in a method" alt="" coords="5,5,192,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_16.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_code_8_syntax_tree_serializer" alt=""/>
<map name="ax_a_p_i___definitions___parser_8_code_8_syntax_tree_serializer" id="ax_a_p_i___definitions___parser_8_code_8_syntax_tree_serializer">
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html" title="Serializes source code out of a syntax tree" alt="" coords="5,71,181,112"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html" title="Serializes C# source code out of a syntax tree" alt="" coords="245,5,445,47"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html" title="Serializes JavaScript source code out of a syntax tree" alt="" coords="229,71,461,112"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html" title="Serializes Python source code out of a syntax tree" alt="" coords="247,136,443,177"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_17.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_definitions_8x_a_p_i_context" alt=""/>
<map name="ax_a_p_i___definitions___parser_8_definitions_8x_a_p_i_context" id="ax_a_p_i___definitions___parser_8_definitions_8x_a_p_i_context">
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html" title="An xAPI context" alt="" coords="5,5,172,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_18.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_definitions_8x_a_p_i_definition" alt=""/>
<map name="ax_a_p_i___definitions___parser_8_definitions_8x_a_p_i_definition" id="ax_a_p_i___definitions___parser_8_definitions_8x_a_p_i_definition">
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html" title="Class that represents an xAPI definition" alt="" coords="5,71,172,112"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_activity.html" title="Class that represents an xAPI activity" alt="" coords="223,5,389,47"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_extension.html" title="Class that represents an xAPI extension" alt="" coords="220,71,392,112"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_verb.html" title="Class that represents an xAPI verb" alt="" coords="223,136,389,177"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_19.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_definitions_8x_a_p_i_definitions_list_3_01_t_01_4" alt=""/>
<map name="ax_a_p_i___definitions___parser_8_definitions_8x_a_p_i_definitions_list_3_01_t_01_4" id="ax_a_p_i___definitions___parser_8_definitions_8x_a_p_i_definitions_list_3_01_t_01_4">
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html" title="List of xAPIDefinition objects" alt="" coords="5,5,232,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_20.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_i_o_8_context" alt=""/>
<map name="ax_a_p_i___definitions___parser_8_i_o_8_context" id="ax_a_p_i___definitions___parser_8_i_o_8_context">
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html" title="Class that represents a context of xAPI definitions" alt="" coords="5,5,172,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_21.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_i_o_8_file_meta" alt=""/>
<map name="ax_a_p_i___definitions___parser_8_i_o_8_file_meta" id="ax_a_p_i___definitions___parser_8_i_o_8_file_meta">
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html" title="Struct that represents a file or directory" alt="" coords="5,5,172,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_22.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_i_o_8_i_o_manager" alt=""/>
<map name="ax_a_p_i___definitions___parser_8_i_o_8_i_o_manager" id="ax_a_p_i___definitions___parser_8_i_o_8_i_o_manager">
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html" title="Manages the read and write operations of a source type" alt="" coords="5,39,172,80"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html" title="Manages the read and write operations of local files" alt="" coords="220,5,387,47"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_git_lab_manager.html" title="Manages the read and write operations of GitLab files" alt="" coords="220,71,387,112"/>
</map>
</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
